packages: {config, ...}: {
    environment.systemPackages = with packages; [
        nixpkgs.chromium
        nixpkgs.firefox
        nixpkgs.w3m
    ];

    nixpkgs.config = {
        firefox = {
            enableGoogleTalkPlugin = true;
            enableAdobeFlash = true;
            jre = true;
        };

        chromium = {
            enablePepperFlash = true;
            enablePepperPDF = true;
            jre = true;
        };
    };
}
