packages: {config, ...}: {
    environment.systemPackages = with packages; [
        # General
        nixpkgs.lsof

        # Processes
        nixpkgs.htop
        nixpkgs.psmisc

        # Network
        nixpkgs.iftop
        nixpkgs.nload
        nixpkgs.tcpdump
        nixpkgs.nmap
        nixpkgs.mtr
        nixpkgs.vnstat
        nixpkgs.telnet

        # Disk and filesystem
        nixpkgs.smartmontools
        nixpkgs.iotop
        nixpkgs.ncdu
        nixpkgs.gparted

        # Peripherals
        nixpkgs.pciutils
        nixpkgs.usbutils

        # Graphics
        nixpkgs.glxinfo
    ];
}
