packages: {config, ...}: {
    environment.systemPackages = with packages; [
        master.pgadmin
    ];

    services = {
        postgresql = {
            enable = true;
            package = packages.nixpkgs.postgresql95;
            authentication = ''
                local all all ident
                host all all 127.0.0.1/32 md5
            '';
        };
    };
}
